- too_big = diff.diff.lines.count > 1000
- if too_big
  %a.supp_diff_link
    = t("projects_section.commits.changes_suppressed")

%table.text-file{class: "#{'hide' if too_big}"}
  - each_diff_line(diff, index) do |line, type, line_code, line_new, line_old, raw_line|
    %tr.line_holder{ id: line_code, class: "#{type}" }
      - if type == "match"
        %td.old_line= "..."
        %td.new_line= "..."
        %td.line_content.matched= line
      - else
        %td.old_line
          = link_to raw(type == "new" ? "&nbsp;" : line_old), "##{line_code}", id: line_code
          - if @comments_allowed
            = link_to_new_diff_note(line_code)
        %td.new_line= link_to raw(type == "old" ? "&nbsp;" : line_new) , "##{line_code}", id: line_code
        %td.line_content{class: "noteable_line #{type} #{line_code}", "line_code" => line_code}= raw diff_line_content(line)

    - if @reply_allowed
      - comments = @line_notes.select { |n| n.line_code == line_code }.sort_by(&:created_at)
      - unless comments.empty?
        = render "projects/notes/diff_notes_with_reply", notes: comments, line: line

- if diff.diff.blank? && diff_file_mode_changed?(diff)
  .file-mode-changed
    = t("projects_section.commits.file_mode_changed")
